Subject: Re: example needed pls: `cygpath -c <HANDLE>'
From: Brian Dessent <[email-masked]>
To: [email-masked]
Date: Tue, 01 Jul 2003 05:37:16 -0700

Soren Andersen wrote:
> 
> On Sat, Jun 28, 2003 at 03:09:15PM -0700, Brian Dessent wrote:
> > I was playing around with this because it seems like a handy idea.
> > I use Cywin perl, but the differences shouldn't be very great.  Anyway,
> > I came up with the following oneliner that does what you mention above
> > (passed %1 as a Windows filename, it copies the Cygwin version to the
> > clipboard)
> 
> > c:\cygwin\bin\perl.exe -MWin32::Clipboard -e "my $f=quotemeta('%1'); chomp (my $c=qx!cygpath -u $f!); Win32::Clipboard($c);"
> 
> How on earth did you get Win32::Clipboard (or Win32::<anything>) to run
> under CygPerl, Brian? The Win32:: namespace code is incomatible with
> cygwinperl, any module using such cannot be built to cygwinperl AFAIK.

It took a bit of work, but the perl5-porters mailing list had enough
nuggets to get it going.  I wrote up the steps here:

http://www.dessent.net/patk/archives/000035.shtml

Brian

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/